Subject: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear

From: Phil Sainty <[email-masked]>
Date: Fri, 03 Dec 2021 12:50:33 +1300

Well I now see that `dired-virtual-mode' actually suggests some
config, which I'd managed to not notice:

> Useful on `magic-mode-alist' with the regexp
> 
>   "^  \\(/[^ /]+\\)+/?:$"
> 
> to put saved Dired buffers automatically into Virtual Dired mode.
> 
> Also useful for `auto-mode-alist' like this:
> 
>   (add-to-list 'auto-mode-alist
>                '("[^/]\\.dired\\'" . dired-virtual-mode))

I note that the suggested regexp doesn't support directory paths
containing spaces.

I'd opted to match more of the output than that, as it seemed a bit
brittle to assume a dired buffer based only on the first line.